Skip to main content
POST
Create vendor

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
account_type
enum<string>
required

Account type.

Available options:
individual,
company,
address
Example:

"individual"

name
string
required

Partner name (max 255 characters). Must not be greater than 255 characters.

Example:

"Acme Corporation"

email
string | null

Email address (max 255 characters). Must be a valid email address. Must not be greater than 255 characters.

Example:

"contact@example.com"

phone
string | null

Phone number (max 20 characters). Must not be greater than 20 characters.

Example:

"+1234567890"

mobile
string | null

Mobile number (max 20 characters). Must not be greater than 20 characters.

Example:

"+1234567890"

avatar
string | null

Avatar file path (max 255 characters). Must not be greater than 255 characters.

Example:

"avatars/partner.jpg"

job_title
string | null

Job title (max 255 characters). Must not be greater than 255 characters.

Example:

"CEO"

website
string | null

Website URL (max 255 characters). Must be a valid URL. Must not be greater than 255 characters.

Example:

"https://acme.com"

tax_id
string | null

Tax identification number (max 255 characters). Must not be greater than 255 characters.

Example:

"TAX-123456"

company_registry
string | null

Company registry number (max 255 characters). Must not be greater than 255 characters.

Example:

"REG-123456"

reference
string | null

Reference code (max 255 characters). Must not be greater than 255 characters.

Example:

"PART-001"

color
string | null

Color in hex format (max 7 characters). Must not be greater than 7 characters.

Example:

"#FF5733"

street1
string | null

Street address line 1 (max 255 characters). Must not be greater than 255 characters.

Example:

"123 Main Street"

street2
string | null

Street address line 2 (max 255 characters). Must not be greater than 255 characters.

Example:

"Suite 100"

city
string | null

City (max 255 characters). Must not be greater than 255 characters.

Example:

"New York"

zip
string | null

Postal/ZIP code (max 20 characters). Must not be greater than 20 characters.

Example:

"10001"

state_id
integer | null

State ID. The id of an existing record in the states table.

Example:

9

country_id
integer | null

Country ID. The id of an existing record in the countries table.

Example:

233

parent_id
integer | null

Parent partner ID (for addresses and contacts). The id of an existing record in the partners_partners table.

title_id
integer | null

Title ID. The id of an existing record in the partners_titles table.

Example:

1

company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

industry_id
integer | null

Industry ID. The id of an existing record in the partners_industries table.

Example:

1

user_id
integer | null

Associated user ID/Responsible Sale user. The id of an existing record in the users table.

Example:

1

autopost_bills
boolean | null

Auto-post bills flag.

Example:

false

ignore_abnormal_invoice_date
boolean | null

Ignore abnormal invoice date flag.

Example:

false

ignore_abnormal_invoice_amount
number | null

Ignore abnormal invoice amount threshold.

Example:

1000

invoice_sending_method
string | null

Invoice sending method. Must not be greater than 255 characters.

Example:

"email"

invoice_edi_format_store
string | null

Invoice EDI format store. Must not be greater than 255 characters.

peppol_endpoint
string | null

PEPPOL endpoint. Must not be greater than 255 characters.

peppol_eas
string | null

PEPPOL EAS. Must not be greater than 255 characters.

comment
string | null

Additional comments.

property_account_payable_id
integer | null

Property account payable ID. The id of an existing record in the accounts_accounts table.

Example:

1

property_account_receivable_id
integer | null

Property account receivable ID. The id of an existing record in the accounts_accounts table.

Example:

2

property_account_position_id
integer | null

Property account position (fiscal position) ID. The id of an existing record in the accounts_fiscal_positions table.

Example:

1

property_payment_term_id
integer | null

Property payment term ID for customers. The id of an existing record in the accounts_payment_terms table.

Example:

1

property_supplier_payment_term_id
integer | null

Property payment term ID for suppliers. The id of an existing record in the accounts_payment_terms table.

Example:

2

property_outbound_payment_method_line_id
integer | null

Property outbound payment method line ID. The id of an existing record in the accounts_payment_method_lines table.

Example:

1

property_inbound_payment_method_line_id
integer | null

Property inbound payment method line ID. The id of an existing record in the accounts_payment_method_lines table.

Example:

2

Response

Created